Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface PathInfo

All Superinterfaces:
  java.io.Serializable

    public interface PathInfo

extends java.io.Serializable

Interface `PathInfo` contains information of a resource path in the server.

Method Summary
`java.lang.Object` | `getCustomFieldValue(java.lang.String name)` Return the value of a custom field which could be String or other formats.
`java.lang.String` | `getDescription()` Return the information which admin described for the resource.
`java.lang.String[]` | `getFileInfo()` Get this resource path's file information
`long` | `getLastModified()` Get last modified time of the file that `getRealPath()` indicates.
`int` | `getLatestVersionNumber()` Get latest version number of resource.
`java.lang.String` | `getLinkedCatalog()` get the linked catalog
`int` | `getMaxVersionAmount()` Get max version amount of resource, if the node which this `PathInfo` object represented is not a resource, return -1;
`java.lang.String` | `getName()` Return the resource name.
`java.lang.String` | `getParentPath()` Return the resource parent path.
`java.lang.String` | `getPath()` Return the resource path.
`java.lang.String` | `getProfileName()` get the profile name, only used for report
`java.lang.String` | `getRealPath()` Return the resource real path.
`java.lang.String` | `getUserID()` Return the user ID that accesses to the resource path.
`boolean` | `isAdhocReport()` Test if the resource path maps to a analysis report.
`boolean` | `isArchiveNewVersion()` Check if archive a new version when add new version on resource.
`boolean` | `isCatalog()` Test if the resource path maps to a catalog.
`boolean` | `isDir()` Test if the resource path map to a file system directory.
`boolean` | `isDynamic()` if the resource from realpath
`boolean` | `isEnableArchivePolicy()` Check if archive policy is enabled on this node, if it is true, isReplaceOldVersion() and getMaxVersionAmount() are effective, if it is false, no archive policy apply on node, that is, max version amount is 0(no limited), and do not replace old version.
`boolean` | `isEnableDynamicResource()` if resources from node's realpath can be used
`boolean` | `isEnableLinkedCatalog()` if enable linked catalog
`boolean` | `isEnableNLS()` if the resource is enable NLS(resource type is report)
`boolean` | `isFile()` Test if the resource path maps to a file system file.
`boolean` | `isInUserDir()` Check if folder that this `PathInfo` object represent is a user folder.
`boolean` | `isOwner(java.lang.String userID)` Check if the user ID is the resource owner.
`boolean` | `isReport()` Test if the resource path maps to a report.
`boolean` | `isResourceNode()` Deprecated. As if version, it has not effective.
`boolean` | `isResult()` If the resource path maps to a result.
`boolean` | `isSelfContainReport()` Test if the resource path maps to a self-contains report.
`boolean` | `isShared()` Test if the resource path is mapped to a shared disk or shared path
`boolean` | `isUseInherited()` if use inherited linked catalog

Method Detail

### getUserID

    java.lang.String getUserID()

  Return the user ID that accesses to the resource path.

  Returns:
    the user ID that accesses to the resource path.

### getPath

    java.lang.String getPath()

  Return the resource path.

  Returns:
    the resource path.

### getName

    java.lang.String getName()

  Return the resource name.

  Returns:
    the resource name.

### getParentPath

    java.lang.String getParentPath()

  Return the resource parent path.

  Returns:
    the resource parent path.

### getRealPath

    java.lang.String getRealPath()
                                 throws RptServerException

  Return the resource real path.

  Returns:
    the resource real path.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### getDescription

    java.lang.String getDescription()

  Return the information which admin described for the resource.

  Returns:
    nothing if admin did not add any description.

### isResourceNode

    boolean isResourceNode()

  Deprecated. As if version, it has not effective.

  Test if the resource path is a resource node of the server resource tree.

  Returns:
    if the resource path is a resource node of the server resource tree.

### isDir

    boolean isDir()

  Test if the resource path map to a file system directory.

  Returns:
    if the resource path maps to a file system directory.

### isFile

    boolean isFile()

  Test if the resource path maps to a file system file.

  Returns:
    if the resource path map to a file system file.

### isCatalog

    boolean isCatalog()

  Test if the resource path maps to a catalog.

  Returns:
    if the resource path map to a catalog.

### isReport

    boolean isReport()

  Test if the resource path maps to a report.

  Returns:
    if the resource path map to a report.

### isSelfContainReport

    boolean isSelfContainReport()

  Test if the resource path maps to a self-contains report.

  Returns:
    if the resource path map to a self-contains report.

### isAdhocReport

    boolean isAdhocReport()

  Test if the resource path maps to a analysis report.

  Returns:
    if the resource path map to a analysis report.
  Since:
    version 6

### isShared

    boolean isShared()

  Test if the resource path is mapped to a shared disk or shared path

  Returns:
    if the resource path is mapped to a shared disk or shared path

### getFileInfo

    java.lang.String[] getFileInfo()
                                   throws RptServerException

  Get this resource path's file information

  Returns:
    sa[0] = file's length sa[1] = file's last modified date example:02/22/02 5:48 PM
  Throws:
    `RptServerException`

### isResult

    boolean isResult()

  If the resource path maps to a result.

  Returns:
    if the resource path map to a result.

### isInUserDir

    boolean isInUserDir()

  Check if folder that this `PathInfo` object represent is a user folder.

  Returns:
    true if this `PathInfo` object represents a user folder, or false if it does not represent a user folder.

### getMaxVersionAmount

    int getMaxVersionAmount()

  Get max version amount of resource, if the node which this `PathInfo` object represented is not a resource, return -1;

  Returns:
    max version amount of resource node.
  Since:
    version 6

### isOwner

    boolean isOwner(java.lang.String userID)

  Check if the user ID is the resource owner.

  Parameters:
    `userID` - the user ID.
  Returns:
    if the user ID is the resource owner.
  Since:
    version 6

### getLatestVersionNumber

    int getLatestVersionNumber()

  Get latest version number of resource. if the node which this `PathInfo` object represent is not a resource, return -1.

  Returns:
    verion number.
  Since:
    version 6

### isArchiveNewVersion

    boolean isArchiveNewVersion()

  Check if archive a new version when add new version on resource.

  Returns:
    true if archive new verion, or false if replace latest version.

### isEnableArchivePolicy

    boolean isEnableArchivePolicy()

  Check if archive policy is enabled on this node, if it is true, isReplaceOldVersion() and getMaxVersionAmount() are effective, if it is false, no archive policy apply on node, that is, max version amount is 0(no limited), and do not replace old version.

### isDynamic

    boolean isDynamic()

  if the resource from realpath

  Returns:
  Since:
    v7.1

### isEnableDynamicResource

    boolean isEnableDynamicResource()

  if resources from node's realpath can be used

  Returns:
  Since:
    v7.1

### isEnableLinkedCatalog

    boolean isEnableLinkedCatalog()

  if enable linked catalog

  Returns:
    true if enable linked catalog
  Since:
    v8.1

### getLinkedCatalog

    java.lang.String getLinkedCatalog()

  get the linked catalog

  Returns:
    the linked catalog
  Since:
    v8.1

### isUseInherited

    boolean isUseInherited()

  if use inherited linked catalog

  Returns:
    true if use inherited linked catalog
  Since:
    v8.1

### getProfileName

    java.lang.String getProfileName()

  get the profile name, only used for report

  Returns:
    profile name
  Since:
    v8.1

### getLastModified

    long getLastModified()

  Get last modified time of the file that `getRealPath()` indicates.

  Returns:
    the last modified time of method `getRealPath()` indicates, return `0L` if real path is empty or doesnot exist.
  Since:
    version 9

### isEnableNLS

    boolean isEnableNLS()

  if the resource is enable NLS(resource type is report)

  Returns:

### getCustomFieldValue

    java.lang.Object getCustomFieldValue(java.lang.String name)

  Return the value of a custom field which could be String or other formats.

  Parameters:
    `name` - the name of the custom field.
  Returns:
    the value of a custom field.
  Since:
    version 9.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD